.knowledge_banner {
  border-top: 1px solid var(--border);
  overflow: hidden;
}
.knowledge_banner .flex {
  min-height: 25.4rem;
  padding: 5rem 0;
}
.knowledge_banner .head {
  margin-top: 1.6%;
}
.knowledge_banner h1 {
  font-size: 6.272rem;
}
.knowledge_banner .logo {
  position: absolute;
  width: 29.221%;
  height: auto;
  opacity: 0.22;
  right: 0;
  top: 0;
  margin: -7.597403% -20.4545% 0 0;
}
.knowledge_filters {
  border-top: 1px solid var(--border);
  border-bottom: 1px solid var(--border);
  padding: 1.9rem 0 1.8rem;
}
.knowledge_filters .grid {
  display: grid;
  grid-template-columns: 1fr auto 1fr;
  gap: 2rem;
}
.knowledge_filters .filters {
  grid-column: 2;
}
.knowledge_filters .filters form {
  display: flex;
  flex-wrap: wrap;
  gap: 2rem 0;
}
.knowledge_filters .filters select {
  display: block;
  font-size: 1.8rem;
  line-height: 1.2;
  font-weight: 500;
  color: var(--text);
  border: none;
  border-right: 1px solid var(--border);
  background: url("../images/icon-select.svg") no-repeat center right 2.3rem/0.8rem;
  padding: 0 4.8rem 2px 2.4rem;
  height: 2.4rem;
}
.knowledge_filters .filters .clear {
  display: block;
  font-size: 1.8rem;
  line-height: 1.2;
  font-weight: 500;
  color: var(--text);
  transition: all 0.3s;
  opacity: 0.5;
  margin-left: 2.2rem;
  margin-top: -1px;
}
.knowledge_filters .filters .clear:hover {
  opacity: 1;
  color: var(--primary);
}
.knowledge_filters .res {
  font-size: 1.8rem;
  font-weight: 500;
  color: rgba(66, 66, 66, 0.5);
  text-align: right;
  margin-top: -0.3rem;
}
.knowledge_filters .res .num {
  color: var(--text);
  margin-left: 1.6rem;
}
.knowledge_main {
  padding: 7.1rem 0 11.8rem;
}
.knowledge_main .list ul {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(min(38rem, 100%), 1fr));
  gap: 5.1rem 2.66233766%;
}
.knowledge_main p.center:has(.btn_line) {
  margin-top: 7.6rem;
  min-height: 6.1rem;
}
.knowledge_main p.center:has(.btn_line) .btn_line {
  min-width: 19.6rem;
}
.knowledge_item {
  display: block;
  height: 100%;
}
.knowledge_item:hover img {
  transform: scale(1.03);
}
.knowledge_item .img {
  padding-bottom: 66.87242798%;
}
.knowledge_item .img .cat {
  position: absolute;
  z-index: 2;
  left: 0;
  top: 0;
  font-size: 1.5rem;
  line-height: 1.2;
  font-weight: 600;
  text-transform: uppercase;
  background-color: rgba(255, 255, 255, 0.9);
  border-radius: 1.2em;
  padding: 0.56667em 0.9333em;
  margin: 3.704%;
}
.knowledge_item .info {
  margin-top: 1.9rem;
}
.knowledge_item .metas {
  display: flex;
  align-items: center;
  color: rgba(63, 63, 63, 0.85);
  text-transform: uppercase;
}
.knowledge_item .metas::before {
  display: inline-block;
  content: '';
  width: 0.25em;
  height: 0.25em;
  border-radius: 50%;
  background-color: #9a9a95;
  margin: 0 0.875em 0 1em;
}
.knowledge_item .metas .cat {
  order: -1;
  font-weight: 600;
  color: #181821;
}
.knowledge_item .title {
  font-size: 2.6rem;
  line-height: 1.34615385;
  font-weight: 600;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
  margin-top: 1.1rem;
}
.knowledge_item .desc {
  line-height: 1.55555556;
  display: -webkit-box;
  -webkit-box-orient: vertical;
  overflow: hidden;
  text-overflow: ellipsis;
  -webkit-line-clamp: 2;
  margin-top: 1.2rem;
}
@media screen and (min-width: 769px) and (max-width: 1024px) {
  .knowledge_banner h1 {
    font-size: 6rem;
  }
}
@media screen and (min-width: 769px) and (max-width: 896px) {
  .knowledge_banner h1 {
    font-size: 5rem;
  }
}
@media screen and (max-width: 768px) {
  .knowledge_banner .flex {
    min-height: unset;
    padding: 40px 0;
  }
  .knowledge_banner .head {
    margin: 0;
  }
  .knowledge_banner h1 {
    font-size: 25px;
  }
  .knowledge_filters {
    padding: 14px 0;
  }
  .knowledge_filters .filters form {
    gap: 14px 0;
  }
  .knowledge_filters .filters select {
    font-size: 14px;
    padding: 0 35px 0 20px;
    background-position: center right 15px;
    background-size: 7px;
    height: 25px;
  }
  .knowledge_filters .filters span:has(.clear) {
    align-self: center;
  }
  .knowledge_filters .filters .clear {
    font-size: 14px;
    margin-left: 14px;
    margin-top: 0;
  }
  .knowledge_filters .res {
    font-size: 14px;
    margin: 0;
  }
  .knowledge_filters .res .num {
    margin-left: 10px;
  }
  .knowledge_main {
    padding: 50px 0;
  }
  .knowledge_main .list ul {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(min(250px, 100%), 1fr));
    gap: 30px 16px;
  }
  .knowledge_main p.center:has(.btn_line) {
    margin-top: 40px;
    min-height: 42px;
  }
  .knowledge_main p.center:has(.btn_line) .btn_line {
    min-width: 120px;
  }
  .knowledge_item .img .cat {
    font-size: 12px;
  }
  .knowledge_item .info {
    margin-top: 14px;
  }
  .knowledge_item .title {
    font-size: 18px;
    margin-top: 10px;
  }
  .knowledge_item .desc {
    line-height: 1.5;
    margin-top: 5px;
  }
}
@media screen and (max-width: 576px) {
  .knowledge_filters .grid {
    display: block;
  }
  .knowledge_filters .grid form {
    width: calc(100% + 40px);
    padding: 0 20px;
    margin: 0 -20px;
    overflow-x: auto;
    flex-wrap: nowrap;
    white-space: nowrap;
  }
  .knowledge_filters .grid form::-webkit-scrollbar {
    display: none;
  }
  .knowledge_filters .grid .res {
    margin-top: 20px;
  }
}
